#include "blitz/protocol/packets/PlayerStatsPacket.h"

namespace blitz {
namespace protocol {

DataBuffer PlayerStatsPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_PlayerID << m_PlayerStats;
	return data;
}

void PlayerStatsPacket::Deserialize(DataBuffer& data) {
	data >> m_PlayerID >> m_PlayerStats;
}

}  // namespace protocol
}  // namespace blitz
